Subject: bug#79024: 31.0.50; Multiple working trees support for VC

From: Sean Whitton <[email-masked]>
Date: Tue, 29 Jul 2025 14:20:07 +0100

Hello,

On Tue 29 Jul 2025 at 05:16am +03, Dmitry Gutov wrote:

> As for Mercurial, maybe it's not that important to prioritize given Git's
> prevalence. But it could also have a halfway implementation - like scanning
> the parent directory of the current worktree for siblings (might not be great
> for large lists of worktrees, or more complex sets of worktrees), or reading
> the contents of some special file somewhere that would have to be written to
> manually (backend methods in vc-hg could also write to it, I suppose).

These are interesting suggestions, thanks.  We can see how people do
with what's implemented now and potentially add these.

-- 
Sean Whitton